#pragma once
#include <vector>
#include "Mesh.h"
#include "Transform.h"
#include "Buffer.h"
#include "VertexArray.h"

/*
#include <MyGraphicsEngine/AssetManager/ModelImporter.h>
#include <MyGraphicsEngine/MyGraphicsEngine/Buffer.h>
#include <MyGraphicsEngine/MyGraphicsEngine/VertexArray.h>

*/

class Renderable {
public:
	Buffer vertexBuffer;
	Buffer elementBuffer;
	VertexArray VAO;
	Transform transform;
	~Renderable();

	static Renderable Load();
	void Draw();

private:
	std::vector<BarinkEngine::Mesh> meshes;
	Renderable();
};